## GogAxisLine GogAxisLine |

## Functions

double | gog_axis_base_get_cross_location ()
GogAxis * | gog_axis_base_get_crossed_axis ()
GogAxis * | gog_axis_base_get_crossed_axis_for_plot ()
GogAxisType | gog_axis_base_get_crossed_axis_type ()
GogAxisPosition | gog_axis_base_get_clamped_position ()
GogAxisPosition | gog_axis_base_get_position ()
void | gog_axis_base_set_position ()
void | gog_axis_base_view_label_position_request ()
unsigned | gog_axis_line_get_ticks ()

## Types and Values

| GogAxisBase
| GogAxisLine
enum | GogAxisPosition
enum | GogAxisTickTypes
typedef | GogAxisBaseClass
| GogAxisBaseView
typedef | GogAxisBaseViewClass
| GogAxisTickProperties

## Object Hierarchy

        GObject
        ├── GogObject
        │   ╰── GogStyledObject
        │       ╰── GogAxisBase
        │           ├── GogAxis
        │           ╰── GogAxisLine
        ╰── GogView
            ╰── GogAxisBaseView

## Implemented Interfaces

GogAxisBase implements GOStyledObject.

GogAxisLine implements GOStyledObject and GogDataset.

## Description

## Functions

### gog_axis_base_get_cross_location ()

    double
    gog_axis_base_get_cross_location (GogAxisBase *axis_base);

### gog_axis_base_get_crossed_axis ()

    GogAxis *
    gog_axis_base_get_crossed_axis (GogAxisBase *axis_base);

#### Parameters

axis_base | GogAxisBase |

#### Returns

returns the crossing axis in a 2D chart if set.

[transfer none]

### gog_axis_base_get_crossed_axis_for_plot ()

    GogAxis *
    gog_axis_base_get_crossed_axis_for_plot
                                   (GogAxisBase *axis_base,
                                    GogPlot *plot);

#### Parameters

axis_base | GogAxisBase |
plot | GogPlot |

#### Returns

returns the crossing axis in a 2D plot if set.

[transfer none]

### gog_axis_base_get_crossed_axis_type ()

    GogAxisType
    gog_axis_base_get_crossed_axis_type (GogAxisBase *axis_base);

### gog_axis_base_get_clamped_position ()

    GogAxisPosition
    gog_axis_base_get_clamped_position (GogAxisBase *axis_base);

### gog_axis_base_get_position ()

    GogAxisPosition
    gog_axis_base_get_position (GogAxisBase *axis_base);

### gog_axis_base_set_position ()

    void
    gog_axis_base_set_position (GogAxisBase *axis_base,
                                GogAxisPosition position);

### gog_axis_base_view_label_position_request ()

    void
    gog_axis_base_view_label_position_request
                                   (GogView *view,
                                    GogViewAllocation const *bbox,
                                    GogViewAllocation *pos);

### gog_axis_line_get_ticks ()

    unsigned
    gog_axis_line_get_ticks (GogAxisLine *axis_line,
                             GogAxisTick **ticks);

## Types and Values

### GogAxisBase

    typedef struct _GogAxisBase GogAxisBase;

### GogAxisLine

    typedef struct _GogAxisLine GogAxisLine;

### enum GogAxisPosition

#### Members

GOG_AXIS_AT_LOW | crosses the other axis at low values. |
GOG_AXIS_CROSS | crosses the other axis at a given value. |
GOG_AXIS_AT_HIGH | crosses the other axis at high values. |
GOG_AXIS_AUTO | crosses at an automatically determined position. |

### enum GogAxisTickTypes

#### Members

GOG_AXIS_TICK_NONE | no tick, should not occur. |
GOG_AXIS_TICK_MAJOR | major tick. |
GOG_AXIS_TICK_MINOR | minor tick. |

### GogAxisBaseClass

    typedef GogStyledObjectClass GogAxisBaseClass;

### GogAxisBaseView

    typedef struct _GogAxisBaseView GogAxisBaseView;

### GogAxisBaseViewClass

    typedef GogViewClass GogAxisBaseViewClass;

### GogAxisTickProperties

    typedef struct {
    		gboolean tick_in, tick_out;
    		int size_pts;
    } GogAxisTickProperties;

#### Members

gboolean `tick_in`; | whether to have tick inside the plot area. |
gboolean `tick_out`; | whether to have tick outside the plot area. |
int `size_pts`; | tick size. |